import { KeyringInstance, KeyringOptions } from './types';
interface PairDef {
    name?: string;
    publicKey: Uint8Array;
    seed: string;
    secretKey?: Uint8Array;
    type?: 'ed25519' | 'sr25519';
}
export declare const PAIRS: PairDef[];
/**
 * @name testKeyring
 * @summary Create an instance of Keyring pre-populated with locked test accounts
 * @description The test accounts (i.e. alice, bob, dave, eve, ferdie)
 * are available on the dev chain and each test account is initialised with DOT funds.
 */
export default function testKeyring(options?: KeyringOptions, isDerived?: boolean): KeyringInstance;
export {};
