declare const _default: {
    types: {
        CallMetadataV0: {
            name: string;
            functions: string;
        };
        EventMetadataV0: {
            name: string;
            args: string;
            documentation: string;
        };
        FunctionArgumentMetadataV0: {
            name: string;
            type: string;
        };
        FunctionMetadataV0: {
            id: string;
            name: string;
            args: string;
            documentation: string;
        };
        MapTypeV0: {
            key: string;
            value: string;
        };
        MetadataV0: {
            outerEvent: string;
            modules: string;
            outerDispatch: string;
        };
        ModuleMetadataV0: {
            name: string;
            call: string;
        };
        OuterDispatchCallV0: {
            name: string;
            prefix: string;
            index: string;
        };
        OuterDispatchMetadataV0: {
            name: string;
            calls: string;
        };
        OuterEventEventMetadataEventsV0: string;
        OuterEventEventMetadataV0: string;
        OuterEventMetadataV0: {
            name: string;
            events: string;
        };
        PlainTypeV0: string;
        RuntimeModuleMetadataV0: {
            prefix: string;
            module: string;
            storage: string;
        };
        StorageFunctionMetadataV0: {
            name: string;
            modifier: string;
            type: string;
            fallback: string;
            documentation: string;
        };
        StorageFunctionModifierV0: {
            _enum: string[];
        };
        StorageFunctionTypeV0: {
            _enum: {
                Type: string;
                Map: string;
            };
        };
        StorageMetadataV0: {
            prefix: string;
            functions: string;
        };
        EventMetadataV1: string;
        FunctionArgumentMetadataV1: string;
        FunctionMetadataV1: {
            name: string;
            args: string;
            documentation: string;
        };
        MetadataV1: {
            modules: string;
        };
        ModuleMetadataV1: {
            name: string;
            prefix: string;
            storage: string;
            calls: string;
            events: string;
        };
        StorageFunctionMetadataV1: string;
        StorageFunctionModifierV1: string;
        StorageFunctionTypeV1: string;
        EventMetadataV2: string;
        FunctionArgumentMetadataV2: string;
        FunctionMetadataV2: string;
        MapTypeV2: {
            key: string;
            value: string;
            linked: string;
        };
        PlainTypeV2: string;
        StorageFunctionModifierV2: string;
        DoubleMapTypeV3: {
            key1: string;
            key2: string;
            value: string;
            key2Hasher: string;
        };
        EventMetadataV3: string;
        FunctionArgumentMetadataV3: string;
        FunctionMetadataV3: string;
        MapTypeV3: string;
        PlainTypeV3: string;
        StorageFunctionModifierV3: string;
        DoubleMapTypeV4: {
            hasher: string;
            key1: string;
            key2: string;
            value: string;
            key2Hasher: string;
        };
        EventMetadataV4: string;
        FunctionArgumentMetadataV4: string;
        FunctionMetadataV4: string;
        MapTypeV4: {
            hasher: string;
            key: string;
            value: string;
            linked: string;
        };
        PlainTypeV4: string;
        StorageFunctionModifierV4: string;
        DoubleMapTypeV5: {
            hasher: string;
            key1: string;
            key2: string;
            value: string;
            key2Hasher: string;
        };
        EventMetadataV5: string;
        FunctionArgumentMetadataV5: string;
        FunctionMetadataV5: string;
        MapTypeV5: string;
        PlainTypeV5: string;
        StorageFunctionModifierV5: string;
        DoubleMapTypeV6: string;
        EventMetadataV6: string;
        FunctionArgumentMetadataV6: string;
        FunctionMetadataV6: string;
        MapTypeV6: string;
        ModuleConstantMetadataV6: {
            name: string;
            type: string;
            value: string;
            documentation: string;
        };
        PlainTypeV6: string;
        StorageEntryModifierV6: string;
        DoubleMapTypeV7: string;
        EventMetadataV7: string;
        FunctionArgumentMetadataV7: string;
        FunctionMetadataV7: string;
        MapTypeV7: string;
        ModuleConstantMetadataV7: string;
        PlainTypeV7: string;
        StorageEntryModifierV7: string;
        DoubleMapTypeV8: string;
        ErrorMetadataV8: {
            name: string;
            documentation: string;
        };
        EventMetadataV8: string;
        FunctionArgumentMetadataV8: string;
        FunctionMetadataV8: string;
        MapTypeV8: string;
        ModuleConstantMetadataV8: string;
        PlainTypeV8: string;
        StorageEntryModifierV8: string;
        EventMetadataLatest: string;
        FunctionArgumentMetadataLatest: string;
        FunctionMetadataLatest: string;
        ModuleConstantMetadataLatest: string;
        PlainTypeLatest: string;
        StorageEntryModifierLatest: string;
    };
};
export default _default;
